MOONSHINE IDE ERROR

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

MOONSHINE IDE ERROR

Angelo Lazzari
Hi,
i was installing moonshine ide with moonshine app store helper but i need
to stop installation .... now i have this error when i start it again:

Installer version 2.1.0 (mac)
Using Locale: it_IT
Fetched the SDK download mirror URL from the CGI.
Index '3' specified is out of bounds.
RangeError: Index '3' specified is out of bounds.
at mx.collections::ListCollectionView/getItemAt()
at mx.collections::ListCollectionView/
http://www.adobe.com/2006/actionscript/flash/proxy::getProperty()
at MoonshineAppStoreHelperLibMain/downloadApacheANT()
at MoonshineAppStoreHelperLibMain/cleanupAndPrepareToDownloadNext()
at MoonshineAppStoreHelperLibMain/flexSDKDirSelected()
at MoonshineAppStoreHelperLibMain/resetEverythingToDownloadNewSDK()
at MoonshineAppStoreHelperLibMain/cleanupAndPrepareToDownloadNext()
at MoonshineAppStoreHelperLibMain/flexSDKDirSelected()
at MoonshineAppStoreHelperLibMain/startInstallation()
at MoonshineAppStoreHelperLibMain/__installBtn_click()


haw i can delete all old install files and restart it againg?

Thanks
Angelo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

piotrz
Hi Angelo,

I'm not an Mac user, but maybe you will get some help from Josh's post [1]. Basically try to install Moonshine straight from the website.

[1] https://www.patreon.com/posts/moonshine-ide-1-12971766

Thanks,
Piotr
Apache Flex PMC
piotrzarzycki21@gmail.com
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

Angelo Lazzari
Hi all, anyone has an idea?

Is this the correct mail to send help requesto to moonshine creators?

Thank you very much
Angelo

El jue., 3 ago. 2017 a las 16:54, Angelo Lazzari (<[hidden email]>)
escribió:

> THank you but no way to solve my problem from that post.... i think the
> solution is just a reset of the logged installation step...but i need know
> where to delete it...
>
> thank you!!!
> Angelo
>
> El jue., 3 ago. 2017 a las 16:38, piotrz (<[hidden email]>)
> escribió:
>
>> Hi Angelo,
>>
>> I'm not an Mac user, but maybe you will get some help from Josh's post
>> [1].
>> Basically try to install Moonshine straight from the website.
>>
>> [1] https://www.patreon.com/posts/moonshine-ide-1-12971766
>>
>> Thanks,
>> Piotr
>>
>>
>>
>> -----
>> Apache Flex PMC
>> [hidden email]
>> --
>> View this message in context:
>> http://apache-flex-users.2333346.n4.nabble.com/MOONSHINE-IDE-ERROR-tp15597p15598.html
>> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

sankar
Angelo Lazzari wrote
Hi all, anyone has an idea?

Is this the correct mail to send help requesto to moonshine creators?
Hei Angelo,

Sorry you came through this trouble. Yes, this place is good to report your Moonshine issue, we're also in process to setup official Moonshine Git repository account, once done you can report any issue/request to it's 'Issue' section as well.

To start a fresh, you can delete /Users/<yourUser>/Downloads/MoonshineSDKs folder and by restarting Moonshine App Store Helper again.

However, your case also given us a thought to include an option to do this process automatically other than forcing you do it manually; we shall try to include this option in our upcoming builds.

Let us know if this solves your problem.

Thanks!
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

Angelo Lazzari
Ok great!!! I will try the solution!

Thank you!
Angelo

El sáb., 5 de agosto de 2017 18:31, sankar <[hidden email]> escribió:

> Angelo Lazzari wrote
> > Hi all, anyone has an idea?
> >
> > Is this the correct mail to send help requesto to moonshine creators?
>
> Hei Angelo,
>
> Sorry you came through this trouble. Yes, this place is good to report your
> Moonshine issue, we're also in process to setup official Moonshine Git
> repository account, once done you can report any issue/request to it's
> 'Issue' section as well.
>
> To start a fresh, you can delete
> */Users/<yourUser>/Downloads/MoonshineSDKs*
> folder and by restarting Moonshine App Store Helper again.
>
> However, your case also given us a thought to include an option to do this
> process automatically other than forcing you do it manually; we shall try
> to
> include this option in our upcoming builds.
>
> Let us know if this solves your problem.
>
> Thanks!
>
>
>
> --
> View this message in context:
> http://apache-flex-users.2333346.n4.nabble.com/MOONSHINE-IDE-ERROR-tp15597p15606.html
> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

sankar
This post was updated on .
Hei Angelo,

Thought to mention you.

We just updated some small changes to App Store Helper. Perhaps that would solve your any further problem (?) Suggested to download the updated build from here: https://goo.gl/qfJRwV.

Let us know how it goes for you!

Thanks!
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

Angelo Lazzari
Ok great! Thanks!!!

El sáb., 5 de agosto de 2017 19:36, sankar <[hidden email]> escribió:

> Hei Angelo,
>
> Thought to mention you.
>
> We just updated some small changes to App Store Helper. Perhaps that would
> solve your any further problem (?) Suggested to download the updated build
> from here: https://goo.gl/qfJRwV.
>
> Let us know how it goes for you now.
>
> Thanks!
>
>
>
> --
> View this message in context:
> http://apache-flex-users.2333346.n4.nabble.com/MOONSHINE-IDE-ERROR-tp15597p15609.html
> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

Angelo Lazzari
Dowloaded, installed, executed... ... all ok!!

thank you very much!
Angelo

El sáb., 5 ago. 2017 a las 20:04, Angelo Lazzari (<[hidden email]>)
escribió:

> Ok great! Thanks!!!
>
> El sáb., 5 de agosto de 2017 19:36, sankar <[hidden email]>
> escribió:
>
>> Hei Angelo,
>>
>> Thought to mention you.
>>
>> We just updated some small changes to App Store Helper. Perhaps that would
>> solve your any further problem (?) Suggested to download the updated build
>> from here: https://goo.gl/qfJRwV.
>>
>> Let us know how it goes for you now.
>>
>> Thanks!
>>
>>
>>
>> --
>> View this message in context:
>> http://apache-flex-users.2333346.n4.nabble.com/MOONSHINE-IDE-ERROR-tp15597p15609.html
>> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

Angelo Lazzari
HI, i needed to install again moonshine IDE  but i got this error:

Using Locale: it_IT
Fetched the SDK download mirror URL from the CGI.
SDK version Apache Flex SDK 4.16.0
AIR version 25.0
Flash Player version 25.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from:
http://ftp.cixug.es/apache/flex/4.16.0/binaries/apache-flex-sdk-4.16.0-bin.tar.gz
Verifying Apache Flex SDK MD5 Signature
The Apache Flex SDK MD5 Signature of the downloaded files matches the
reference. The file is valid.
Uncompressing:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/temp/apache-flex-sdk-4.16.0-bin.tar.gz
Finished uncompressing:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/temp/apache-flex-sdk-4.16.0-bin.tar.gz
Downloading Adobe AIR Runtime Kit for Mac from:
http://airdownload.adobe.com/air/mac/download/25.0//AdobeAIRSDK.dmg
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/AdobeAIRSDK.dmg
Should unzip: ${shouldUnzip}
Mounting dmg
Copying AIR SDK from mounted volume
Unmounting AIR SDK
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/frameworks/libs/air
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/frameworks/libs
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/frameworks/projects/air
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/frameworks/projects
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/include
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/lib/android
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/lib/aot
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/lib/nai
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/runtimes
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/samples/badge
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/samples
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/samples/icons
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/samples
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/templates/air
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/templates
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/templates/extensions
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/templates
Copying files from
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/airsdk/templates/sdk
to
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/templates
Installing Adobe Flash Player playerglobal.swc from:
http://fpdownload.macromedia.com/get/flashplayer/updaters/25//playerglobal25_0.swc
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/frameworks/libs/player/25.0/playerglobal.swc
Downloading 2.2.zip from: https://github.com/swfobject/swfobject/archive
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/in/swfobject_2_2.zip
Download complete
Downloading OSMF2_0.swc?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/frameworks/libs/osmf.swc
Downloading afe.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib/external/optional/afe.jar
Downloading aglj40.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib/external/optional/aglj40.jar
Downloading flex-fontkit.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib/external/optional/flex-fontkit.jar
Downloading rideau.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
Validating download:
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0/lib/external/optional/rideau.jar
Installing frameworks configuration files configured for use with an IDE
/Users/angelolazzari/Downloads/MoonshineSDKs/Flex_SDK/Flex_4.16.0_AIR_25.0
is now an IDE compatible folder
SDK version Apache FlexJS 0.8.0
AIR version 25.0
Flash Player version 25.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from:
http://ftp.cixug.es/apache/flex/flexjs/0.8.0/binaries/apache-flex-flexjs-0.8.0-bin.tar.gz
Verifying Apache FlexJS SDK MD5 Signature
Error #2031
Error #3003

Can you help me again?

Thank you very much
Angelo

El dom., 6 ago. 2017 a las 15:17, Angelo Lazzari (<[hidden email]>)
escribió:

> Dowloaded, installed, executed... ... all ok!!
>
> thank you very much!
> Angelo
>
> El sáb., 5 ago. 2017 a las 20:04, Angelo Lazzari (<
> [hidden email]>) escribió:
>
>> Ok great! Thanks!!!
>>
>> El sáb., 5 de agosto de 2017 19:36, sankar <[hidden email]>
>> escribió:
>>
>>> Hei Angelo,
>>>
>>> Thought to mention you.
>>>
>>> We just updated some small changes to App Store Helper. Perhaps that
>>> would
>>> solve your any further problem (?) Suggested to download the updated
>>> build
>>> from here: https://goo.gl/qfJRwV.
>>>
>>> Let us know how it goes for you now.
>>>
>>> Thanks!
>>>
>>>
>>>
>>> --
>>> View this message in context:
>>> http://apache-flex-users.2333346.n4.nabble.com/MOONSHINE-IDE-ERROR-tp15597p15609.html
>>> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>>>
>>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

piotrz
Hi Angelo,

Those logs look like you were installing Apache Flex not Moonshine itself. What's the steps ?

Thanks,
Piotr
Apache Flex PMC
piotrzarzycki21@gmail.com
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: MOONSHINE IDE ERROR

piotrz
In reply to this post by Angelo Lazzari
Angelo,

There are existing problems with some versions of AIR. Take a look into following threads [1][2]

[1] http://apache-flex-users.2333346.n4.nabble.com/Flex-installer-Problem-installing-AIR-SDK-td15238.html
[2] http://apache-flex-users.2333346.n4.nabble.com/FlexJS-Installer-td15600.html

Thanks,
Piotr
Apache Flex PMC
piotrzarzycki21@gmail.com
Loading...